#include<iostream>
#include<cmath>
using namespace std;

int f(long long n)
{
	if(n==0) return 0;
    return 1+f(n/10);
}

int main()
{
	int d,k,br=0;
    long long n;
	cin>>n;

	while(n!=0)
	{
		k=f(n);
		d=5;
		if(n-d*pow(10,k)>=0)
		{
			br++;
		    n=n-d*pow(10,k);
		
		}
		else if(n-2*pow(10,k)>=0)
		{
			br++;
			n=n-2*pow(10,k);
		}
		
		else	
		{
			d=1;
			br++;
			n=n-d*pow(10,k);
		}

	}
	cout<<br;
}